package co.pixelbeard.theanfieldwrap.forgotPassword.fpNewPassword;

import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface ForgotPasswordNewPasswordContract {

    interface View extends BaseView<Presenter> {
        void enableButton();

        void disableButton();

        void showInvalidPasswordError();

        void showPasswordsDontMatchError();

    }

    interface Presenter extends BasePresenter {
        boolean validateFields(String password, String confirmPassword, boolean shouldShowError);
    }
}